import e, { property as s, xmlElement as t } from "./xml-ea692477.js";
const p = [
  {
    type: "class",
    match: /<!DOCTYPE("[^"]*"|'[^']*'|[^"'>])*>/gi,
    sub: [
      {
        type: "str",
        match: /"[^"]*"|'[^']*'/g
      },
      {
        type: "oper",
        match: /^<!|>$/g
      },
      {
        type: "var",
        match: /DOCTYPE/gi
      }
    ]
  },
  {
    match: RegExp(`<style${s}>((?!</style>)[^])*</style\\s*>`, "g"),
    sub: [
      {
        match: RegExp(`^<style${s}>`, "g"),
        sub: t.sub
      },
      {
        match: RegExp(`${t.match}|[^]*(?=</style\\s*>$)`, "g"),
        sub: "css"
      },
      t
    ]
  },
  {
    match: RegExp(
      `<script${s}>((?!<\/script>)[^])*<\/script\\s*>`,
      "g"
    ),
    sub: [
      {
        match: RegExp(`^<script${s}>`, "g"),
        sub: t.sub
      },
      {
        match: RegExp(
          `${t.match}|[^]*(?=<\/script\\s*>$)`,
          "g"
        ),
        sub: "js"
      },
      t
    ]
  },
  ...e
];
export {
  p as default
};
