let t = `\\s*(\\s+[a-z-]+\\s*(=\\s*([^"']\\S*|("|')(\\\\[^]|(?!\\4)[^])*\\4?)?)?\\s*)*`, a = {
  match: RegExp(`</?[a-z_-]+${t}/?>`, "g"),
  sub: [
    {
      type: "var",
      match: /^<\/?[^\s>\/]+/g,
      sub: [
        {
          type: "oper",
          match: /^<\/?/g
        }
      ]
    },
    {
      type: "str",
      match: /=\s*([^"']\S*|("|')(\\[^]|(?!\2)[^])*\2?)/g,
      sub: [
        {
          type: "oper",
          match: /^=/g
        }
      ]
    },
    {
      type: "oper",
      match: /\/?>/g
    },
    {
      type: "class",
      match: /[a-z-]+/gi
    }
  ]
};
const e = [
  {
    match: /<!--((?!-->)[^])*-->/g,
    sub: "todo"
  },
  {
    type: "class",
    match: RegExp(`<\\?xml${t}\\?>`, "gi"),
    sub: [
      {
        type: "oper",
        match: /^<\?|\?>$/g
      },
      {
        type: "str",
        match: /"[^"]*"|'[^']*'/g
      },
      {
        type: "var",
        match: /xml/gi
      }
    ]
  },
  {
    type: "class",
    match: /<!\[CDATA\[[\s\S]*?\]\]>/gi
  },
  a,
  {
    type: "var",
    match: /&(#x?)?[\da-z]{1,8};/gi
  }
];
export {
  e as default,
  t as property,
  a as xmlElement
};
