import { detect_language as a } from "./speed-highlight-ts.js";
const c = [
  {
    type: "cmnt",
    match: /^>.*|(=|-)\1+/gm
  },
  {
    type: "class",
    match: /\*\*((?!\*\*).)*\*\*/g
  },
  {
    match: /```((?!```)[^])*\n```/g,
    sub: (t) => ({
      type: "kwd",
      sub: [
        {
          match: /\n[^]*(?=```)/g,
          sub: t.split(`
`)[0].slice(3) || a(t)
        }
      ]
    })
  },
  {
    type: "str",
    match: /`[^`]*`/g
  },
  {
    type: "var",
    match: /~~((?!~~).)*~~/g
  },
  {
    type: "kwd",
    match: /_[^_]*_|\*[^*]*\*/g
  },
  {
    type: "kwd",
    match: /^\s*(\*|\d+\.)\s/gm
  },
  {
    type: "oper",
    match: /\[[^\]]*]/g
  },
  {
    type: "func",
    match: /\([^)]*\)/g
  }
];
export {
  c as default
};
