const d = (e, s) => {
  const a = e[s];
  return a ? typeof a == "function" ? a() : Promise.resolve(a) : new Promise((i, n) => {
    (typeof queueMicrotask == "function" ? queueMicrotask : setTimeout)(n.bind(null, new Error("Unknown variable dynamic import: " + s)));
  });
}, h = {
  num: {
    type: "num",
    match: /(\.e?|\b)\d(e-|[\d.oxa-fA-F_])*(\.|\b)/g
  },
  str: {
    type: "str",
    match: /(["'])(\\[^]|(?!\1)[^\r\n\\])*\1?/g
  },
  strDouble: {
    type: "str",
    match: /"((?!")[^\r\n\\]|\\[^])*"?/g
  }
}, f = [
  [
    "bash",
    [/#!(\/usr)?\/bin\/bash/g, 500],
    [/\b(if|elif|then|fi|echo)\b|\$/g, 10]
  ],
  ["html", [/<\/?[a-z-]+[^\n>]*>/g, 10], [/^\s+<!DOCTYPE\s+html/g, 500]],
  ["http", [/^(GET|HEAD|POST|PUT|DELETE|PATCH|HTTP)\b/g, 500]],
  [
    "js",
    [
      /\b(console|await|async|function|export|import|this|class|for|let|const|map|join|require)\b/g,
      10
    ]
  ],
  [
    "ts",
    [
      /\b(console|await|async|function|export|import|this|class|for|let|const|map|join|require|implements|interface|namespace)\b/g,
      10
    ]
  ],
  ["py", [/\b(def|print|class|and|or|lambda)\b/g, 10]],
  ["sql", [/\b(SELECT|INSERT|FROM)\b/g, 50]],
  ["pl", [/#!(\/usr)?\/bin\/perl/g, 500], [/\b(use|print)\b|\$/g, 10]],
  ["lua", [/#!(\/usr)?\/bin\/lua/g, 500]],
  [
    "make",
    [/\b(ifneq|endif|if|elif|then|fi|echo|.PHONY|^[a-z]+ ?:$)\b|\$/gm, 10]
  ],
  ["uri", [/https?:|mailto:|tel:|ftp:/g, 30]],
  ["css", [/^(@import|@page|@media|(\.|#)[a-z]+)/gm, 20]],
  ["diff", [/^[+><-]/gm, 10], [/^@@ ?[-+,0-9 ]+ ?@@/gm, 25]],
  ["md", [/^(>|\t\*|\t\d+.)/gm, 10], [/\[.*\](.*)/g, 10]],
  ["docker", [/^(FROM|ENTRYPOINT|RUN)/gm, 500]],
  ["xml", [/<\/?[a-z-]+[^\n>]*>/g, 10], [/^<\?xml/g, 500]],
  ["c", [/#include\b|\bprintf\s+\(/g, 100]],
  ["rs", [/^\s+(use|fn|mut|match)\b/gm, 100]],
  ["go", [/\b(func|fmt|package)\b/g, 100]],
  ["java", [/^import\s+java/gm, 500]],
  ["asm", [/^(section|global main|extern|\t(call|mov|ret))/gm, 100]]
];
function v(e) {
  var n;
  return ((n = f.map(([l, ...t]) => {
    const o = t.reduce(
      (g, [m, r]) => {
        var u;
        return g + (((u = e.match(new RegExp(m, "g"))) == null ? void 0 : u.length) || 0) * r;
      },
      0
    );
    return [l, o];
  }).filter(([l, t]) => t >= 20).sort(
    ([l, t], [o, g]) => g - t
  )[0]) == null ? void 0 : n[0]) || "plain";
}
const b = {
  hide_line_numbers: !1
}, p = {};
function x(e) {
  var s, a, i, n;
  return (n = (a = (s = e.replaceAll("&", "&#38;")).replaceAll) == null ? void 0 : (i = a.call(s, "<", "&lt;")).replaceAll) == null ? void 0 : n.call(i, ">", "&gt;");
}
function y(e, s) {
  return s ? `<span class="shjs-syn-${s}">${e}</span>` : e;
}
async function c(e, s, a) {
  try {
    let i;
    typeof s == "string" ? i = await (p[s] ?? (p[s] = await d(/* @__PURE__ */ Object.assign({ "./languages/asm.ts": () => import("./asm-379ba160.js"), "./languages/bash.ts": () => import("./bash-015e7dec.js"), "./languages/bf.ts": () => import("./bf-aa15c0c7.js"), "./languages/c.ts": () => import("./c-af18f50b.js"), "./languages/css.ts": () => import("./css-e64ee7ce.js"), "./languages/csv.ts": () => import("./csv-76a588d2.js"), "./languages/diff.ts": () => import("./diff-aec35e8c.js"), "./languages/docker.ts": () => import("./docker-5097d762.js"), "./languages/git.ts": () => import("./git-8f4b3dae.js"), "./languages/go.ts": () => import("./go-021f6b4b.js"), "./languages/html.ts": () => import("./html-9b836012.js"), "./languages/http.ts": () => import("./http-df1e3b03.js"), "./languages/ini.ts": () => import("./ini-5d10b777.js"), "./languages/java.ts": () => import("./java-243f4a1b.js"), "./languages/js.ts": () => import("./js-6df0c4c6.js"), "./languages/js_template_literals.ts": () => import("./js_template_literals-b38529ba.js"), "./languages/jsdoc.ts": () => import("./jsdoc-ae526b45.js"), "./languages/json.ts": () => import("./json-09f5a37f.js"), "./languages/leanpub-md.ts": () => import("./leanpub-md-bcd028d8.js"), "./languages/log.ts": () => import("./log-555045a2.js"), "./languages/lua.ts": () => import("./lua-caf2eaa5.js"), "./languages/make.ts": () => import("./make-8539a036.js"), "./languages/md.ts": () => import("./md-f2cc006f.js"), "./languages/pl.ts": () => import("./pl-0721bfcf.js"), "./languages/plain.ts": () => import("./plain-bca357dc.js"), "./languages/py.ts": () => import("./py-dab73c47.js"), "./languages/regex.ts": () => import("./regex-9ed70c94.js"), "./languages/rs.ts": () => import("./rs-6068a719.js"), "./languages/sql.ts": () => import("./sql-40e76724.js"), "./languages/todo.ts": () => import("./todo-844da562.js"), "./languages/toml.ts": () => import("./toml-2817dc06.js"), "./languages/ts.ts": () => import("./ts-25a1f69e.js"), "./languages/uri.ts": () => import("./uri-89a58c02.js"), "./languages/xml.ts": () => import("./xml-ea692477.js"), "./languages/yaml.ts": () => import("./yaml-1ed06a89.js") }), `./languages/${s}.ts`))) : i = s;
    const n = Array.from(
      typeof s == "string" ? i.default : s.sub
    );
    let l, t = {
      index: null,
      match: "",
      end: 0,
      part: {}
    };
    const o = [];
    let g = 0, m;
    for (; g < e.length; ) {
      t.index = null;
      for (let r = n.length; r-- > 0; ) {
        if (l = n[r].expand ? h[n[r].expand] : n[r], o[r] === void 0 || o[r].match.index < g) {
          if (l.match.lastIndex = g, m = l.match.exec(e), m === null) {
            n.splice(r, 1), o.splice(r, 1);
            continue;
          }
          o[r] = { match: m, lastIndex: l.match.lastIndex };
        }
        o[r].match[0] && (t.index === null || o[r].match.index <= t.index) && (t = {
          part: l,
          index: o[r].match.index,
          match: o[r].match[0],
          end: o[r].lastIndex
        });
      }
      if (t.index === null)
        break;
      a(e.slice(g, t.index), i.type), g = t.end, t.part.sub ? await c(
        t.match,
        typeof t.part.sub == "string" ? t.part.sub : typeof t.part.sub == "function" ? t.part.sub(t.match) : t.part,
        a
      ) : a(t.match, t.part.type);
    }
    a(e.slice(g, e.length), i.type);
  } catch (i) {
    console.error(i);
  }
}
async function j(e, s, a = !0, i = b) {
  let n = "";
  return await c(
    e,
    s,
    (l, t) => n += y(x(l), t)
  ), a ? `<div><div class="shjs-numbers">${"<div></div>".repeat(
    i.hide_line_numbers ? 0 : e.split(`
`).length
  )}</div><div>${n}</div></div>` : n;
}
async function _(e, s = ((n) => (n = e.className.match(/shj-lang-([\w-]+)/)) == null ? void 0 : n[1])(), a, i) {
  let l = e.textContent;
  l !== null && (a ?? (a = `${e.tagName == "CODE" ? "in" : l.split(`
`).length < 2 ? "one" : "multi"}line`), e.dataset.lang = s, e.className = `${Array.from(e.classList).filter(
    (t) => !t.startsWith("shjs-") || t.startsWith("shjs-mode-")
  ).join(" ")}shjs-lang-${s} shjs-${a}`, e.innerHTML = await j(l, s, a === "multiline", i));
}
export {
  b as default_options,
  v as detect_language,
  _ as highlight_element,
  j as highlight_text,
  p as languages,
  x as sanitize,
  y as to_span,
  c as tokenize
};
